com.aliyun.svideosdk.common.struct.common

## Class AliyunBorderParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunBorderParam.Builder

- Enclosing class:
    AliyunBorderParam

      public static final class AliyunBorderParam.Builder
      extends java.lang.Object

  `AliyunBorderParam` builder static inner class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunBorderParam.Builder` | `borderColor(int color)` Sets the border color of the video
    `AliyunBorderParam.Builder` | `borderWidth(int width)` Sets the border width of the video
    `AliyunBorderParam` | `build()`
    `AliyunBorderParam.Builder` | `corner(float cornerSize)` Sets the video corner radius
    `AliyunBorderParam.Builder` | `cornerRadius(float radius)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### borderWidth

          public AliyunBorderParam.Builder borderWidth(int width)

      Sets the border width of the video
      Parameters:
        `width` - border width
      Returns:
        A reference to this Builder.

    - #### borderColor

          public AliyunBorderParam.Builder borderColor(int color)

      Sets the border color of the video
      Parameters:
        `color` - border color
      Returns:
        A reference to this Builder.

    - #### cornerRadius

          @Deprecated
          public AliyunBorderParam.Builder cornerRadius(float radius)

      Deprecated.
      Sets the video corner radius, use `corner(float)` instead
      Parameters:
        `radius` - corner radius1
      Returns:
        A reference to this Builder.

    - #### corner

          public AliyunBorderParam.Builder corner(float cornerSize)

      Sets the video corner radius
      Parameters:
        `cornerSize` - 圆角半径 单位：像素
      Returns:
        A reference to this Builder.

    - #### build

          public AliyunBorderParam build()

      Returns:
        A `AliyunBorderParam` built with parameters of `AliyunBorderParam.Builder`.